/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/Parameters.h"
#include "Behavioural/include/XML.h"
using namespace std;

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

  string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,@COMPONENT,"print","Begin");

    XML xml ("@COMPONENT_LOWER");

    xml.balise_open("@COMPONENT_LOWER");
//  xml.singleton_begin("size_data"); xml.attribut("value",toString(_size_data)); xml.singleton_end();
//  xml.singleton_begin("nb_port  "); xml.attribut("value",toString(_nb_port  )); xml.singleton_end();
    xml.balise_close();

    log_printf(FUNC,@COMPONENT,"print","End");
    
    return xml.get_body(depth);
  };

  ostream& operator<< (ostream& output_stream ,
		       morpheo::behavioural::@NAMESPACE_USE::Parameters & x)
  {
    output_stream << x.print(0);
    
    return output_stream;
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
